<?php
require __DIR__ . '/vendor/autoload.php';

use Aws\S3\S3Client;
use Aws\Exception\AwsException;

// CONFIGURAÇÕES
$bucket = 's3-bunker-user';
$region = 'us-east-1'; // ou a região do seu bucket

$s3 = new S3Client([
    'version' => 'latest',
    'region'  => $region,
    'credentials' => [
        'key'    => 'AKIAWW5NO2P7SNEM4F4J',
        'secret' => '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',
    ],
]);

try {
    $result = $s3->putObject([
        'Bucket' => $bucket,
        'Key'    => 'teste/arquivo-teste.txt',
        'Body'   => 'Upload realizado com sucesso via PHP!',
        'ACL'    => 'private', // bunker fechado 🔐
    ]);

    echo "Upload OK!<br>";
    echo "ETag: " . $result['ETag'];

} catch (AwsException $e) {
    echo "Erro no upload:<br>";
    echo $e->getMessage();
}
